Bug 273761 - Review Request: tomcat-native - Tomcat native library
Review Request: tomcat-native - Tomcat native library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-01 08:02 EDT by Ville Skyttä
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-07 02:17:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
opensource: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-09-01 08:02:42 EDT
http://scop.fedorapeople.org/packages/tomcat-native.spec
http://scop.fedorapeople.org/packages/tomcat-native-1.1.10-0.2.cmn7.src.rpm

Tomcat can use the Apache Portable Runtime to provide superior
scalability, performance, and better integration with native server
technologies.  The Apache Portable Runtime is a highly portable library
that is at the heart of Apache HTTP Server 2.x.  APR has many uses,
including access to advanced IO functionality (such as sendfile, epoll
and OpenSSL), OS level functionality (random number generation, system
status, etc), and native process handling (shared memory, NT pipes and
Unix sockets).  This package contains the Tomcat native library which
provides support for using APR in Tomcat.

rpmlint:
W: tomcat-native devel-file-in-non-devel-package /usr/lib64/libtcnative-1.so

Due to how Tomcat/Java loads the lib, unversioned *.so is needed.
Comment 1 Till Maas 2007-09-05 18:29:37 EDT
Why do you use 0.2 in the release instead of just 2? The Naming Guidelines (
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-5ea39bbc33cf351b41b51325ac3527eff4c58dac
)  say;

| The release number (referred to in some older documentation as a "vepoch") is 
| how the maintainer marks build revisions, starting from 1.
Comment 2 Ville Skyttä 2007-09-05 18:54:21 EDT
I use 0.x as long as the packages are in my personal repository in order to not
interfere with stuff possibly included in other repos.  It will be bumped to
1%{?dist} for the first Fedora package release.
Comment 3 Till Maas 2007-09-06 07:35:06 EDT
rpmlint: ok
W: tomcat-native devel-file-in-non-devel-package /usr/lib/libtcnative-1.so
intended and explained in spec
naming: ok
license: ok (ASL 2.0)
license in %doc: ok
spec legible: ok
sources match: ok
8d2eaef338a1a02f3d929a575d5e1453  tomcat-native-1.1.10-src.tar.gz
8d2eaef338a1a02f3d929a575d5e1453  tomcat-native-1.1.10-src.tar.gz.1
source is url: ok
exclude arch: not needed for x86, others not checked: ok
ldconfig run: ok
build requires: ok (builds in mock for F7, i386)
directory ownage: ok
macro usage: ok
-devel, -static: not needed: ok
%doc: not too large: ok
debuginfo: not empty: ok

APPROVED
Comment 4 Ville Skyttä 2007-09-06 11:17:07 EDT
Thanks!

New Package CVS Request
=======================
Package Name: tomcat-native
Short Description: Tomcat native library
Owners: scop
Branches: EL-5
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-09-06 15:42:59 EDT
cvs done. 
Comment 6 Ville Skyttä 2007-09-07 02:17:03 EDT
Built for devel an EL-5.

Note You need to log in before you can comment on or make changes to this bug.